/**
 * Assignment 9. Big Pi
 *
 * Use the Multiple Precision Integers and Rationals (MPIR) Library
 * to compute and print pi.
 * See Constants.h for the number of decimal places.
 *
 * Compute with both the C and C++ APIs.
 *
 * Author: Ron Mak
 *         Department of Computer Engineering
 *         San Jose State University
 */

#include <iostream>
#include "C_API.h"
#include "Cpp_API.h"

using namespace std;

/**
 * The main.
 * Compute with both the C and C++ APIs.
 */
int main()
{
    compute_and_print_pi_c();
    cout << endl << endl;
    compute_and_print_pi_cpp();

    return 0;
}



