#ifndef UTILITY_H_
#define UTILITY_H_

#include <string>

using namespace std;

/**
 * Print the decimal places of a multiple-precision number after it's
 * been converted to a string, and the compute time in nanoseconds.
 * @param s the string to print.
 */
void print(char *s, long ns);

/**
 * Convert a long integer to a string with commas.
 * @param i the integer.
 * @return the string with commas.
 */
string commafy(const long i);

#endif /* UTILITY_H_ */
